Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts
Interface JRPie3DPlot

All Superinterfaces:
  java.lang.Cloneable, JRChartPlot, JRCloneable

All Known Implementing Classes:
  JRBasePie3DPlot, JRDesignPie3DPlot, JRFillPie3DPlot

    public interface JRPie3DPlot

extends JRChartPlot

Version:
  $Id: JRPie3DPlot.java 3948 2010-09-01 12:07:07Z shertage $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot
`JRChartPlot.JRSeriesColor`

Field Summary
`static double` | `DEPTH_FACTOR_DEFAULT`

Method Summary
`java.lang.Boolean` | `getCircular()`
`double` | `getDepthFactor()` Deprecated. Replaced by `getDepthFactorDouble()`
`java.lang.Double` | `getDepthFactorDouble()`
`JRItemLabel` | `getItemLabel()`
`java.lang.String` | `getLabelFormat()`
`java.lang.String` | `getLegendLabelFormat()`
`java.lang.Boolean` | `getShowLabels()`
`boolean` | `isCircular()` Deprecated. Replaced by `getCircular()`

Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot
`addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getChart, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Field Detail

### DEPTH_FACTOR_DEFAULT

    static final double DEPTH_FACTOR_DEFAULT

See Also:
  Constant Field Values

Method Detail

### getDepthFactor

    double getDepthFactor()

  Deprecated. Replaced by `getDepthFactorDouble()`

### getDepthFactorDouble

    java.lang.Double getDepthFactorDouble()

### isCircular

    boolean isCircular()

  Deprecated. Replaced by `getCircular()`

### getCircular

    java.lang.Boolean getCircular()

### getLabelFormat

    java.lang.String getLabelFormat()

### getLegendLabelFormat

    java.lang.String getLegendLabelFormat()

### getItemLabel

    JRItemLabel getItemLabel()

### getShowLabels

    java.lang.Boolean getShowLabels()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com